summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /x11-misc/3dfm
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'x11-misc/3dfm')
-rw-r--r--x11-misc/3dfm/3dfm-1.0.ebuild24
-rw-r--r--x11-misc/3dfm/Manifest1
-rw-r--r--x11-misc/3dfm/metadata.xml8
3 files changed, 33 insertions, 0 deletions
diff --git a/x11-misc/3dfm/3dfm-1.0.ebuild b/x11-misc/3dfm/3dfm-1.0.ebuild
new file mode 100644
index 00000000000..82926d20528
--- /dev/null
+++ b/x11-misc/3dfm/3dfm-1.0.ebuild
@@ -0,0 +1,24 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+DESCRIPTION="OpenGL-based 3D File Manager"
+HOMEPAGE="http://sourceforge.net/projects/innolab/"
+SRC_URI="mirror://sourceforge/innolab/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 ppc x86"
+IUSE=""
+
+DEPEND="virtual/glu
+ virtual/opengl
+ media-libs/freeglut"
+RDEPEND="${DEPEND}"
+
+src_install() {
+ emake DESTDIR="${D}" install || die
+ mv "${D}"/usr/bin/interface "${D}"/usr/bin/3dfm || die
+
+ dodoc AUTHORS ChangeLog README
+}
diff --git a/x11-misc/3dfm/Manifest b/x11-misc/3dfm/Manifest
new file mode 100644
index 00000000000..eec2727d4b3
--- /dev/null
+++ b/x11-misc/3dfm/Manifest
@@ -0,0 +1 @@
+DIST 3dfm-1.0.tar.gz 139275 SHA256 eec8a32f4761db74cfe9c19b614e9e112d693a0273d7f0c4f77cc7639eec83ab SHA512 8db31f54df57c1054a36708117db2de04b05ca7b67de53b0af9e0cb53fc5678590745b6c03d3ea9b6fc4dbe50435b8f52d3286a18313e3011d7ca2d28620d666 WHIRLPOOL 2a9955b9a092c2cc8e0d0f98dfd78691b887bf93c5882675b567ca831b33b42e7a191d65a266079ede9aeef3585732e436b71aa2b712975c9f9de5899f4ce55d
diff --git a/x11-misc/3dfm/metadata.xml b/x11-misc/3dfm/metadata.xml
new file mode 100644
index 00000000000..8b279ff8e12
--- /dev/null
+++ b/x11-misc/3dfm/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>desktop-effects</herd>
+ <upstream>
+ <remote-id type="sourceforge">innolab</remote-id>
+ </upstream>
+</pkgmetadata>